# Class: Periodic

## Periodic.Periodic(optionsopt) → {object}

#### new Periodic(optionsopt) → {object}

Creates an instance of periodic.

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---

`options`

any

<optional>

{}

###### Properties

Name | Type | Description
--- | --- | ---
`debug` | boolean | use debugging logs
`app_root` | String | the path to the application's root directory

Source:
  - lib/periodicClass.js, line 33

##### Returns:

proxied periodic singleton object

Type
  object